package com.muyu.web.controller;

import com.muyu.web.common.Result;
import com.muyu.web.domain.model.OverviewModel;
import com.muyu.web.domain.resp.OverviewResp;
import com.muyu.web.service.OverviewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 车辆模拟系统概述 OverviewController
 *
 * @author Yangle
 * Date 2024/6/10 14:21
 */
@RestController
@RequestMapping("/vehicle/overview")
public class OverviewController {
    @Autowired
    private OverviewService overviewService;

    @GetMapping
    public Result<OverviewResp> getVehicleList() {
      OverviewModel overviewModel= overviewService.overview();
        return Result.success(OverviewResp.modeBuild(overviewModel));
    }
}
