package com.muyu.web.domain.resp;

import com.muyu.web.domain.model.OverviewModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 概述响应
 *
 * @author Yangle
 * Date 2024/6/10 14:24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OverviewResp {
    /**
     * 在线车辆
     */
    private Long online;

    /**
     * 离线车辆
     */
    private Long offline;

    /**
     * 暂停车辆
     */
    private Long pause;

    public static OverviewResp modeBuild(OverviewModel overviewModel) {
        return builder().online(overviewModel.getOnline())
                .offline(overviewModel.getOffline())
                .pause(overviewModel.getPause())
                .build();
    }
}
