package com.muyu.web.service.impl;

import com.muyu.vehicle.VehicleInstance;
import com.muyu.vehicle.core.LocalContainer;
import com.muyu.web.domain.model.OverviewModel;
import com.muyu.web.service.OverviewService;
import org.springframework.stereotype.Service;

import java.util.Collection;

/**
 * OverviewServiceImpl
 *
 * @author Yangle
 * Date 2024/6/10 14:22
 */
@Service
public class OverviewServiceImpl implements OverviewService {

    /**
     * 车辆模拟概述
     * @return 概述数据模型
     */
    @Override
    public OverviewModel overview() {
        //车辆实侧对象
        Collection<VehicleInstance> instanceList = LocalContainer.vehicleDataMap.values();
        return OverviewModel.builder()
                .online(
                        instanceList.stream()
                                .filter(VehicleInstance::isOnline)
                                .filter(VehicleInstance::isSend)
                                .count()
                )
                .offline(
                        instanceList.stream()
                                .filter(VehicleInstance->!VehicleInstance.isOnline())
                                .count()
                )
                .pause(
                        instanceList.stream()
                                .filter(VehicleInstance::isOnline)
                                .filter(VehicleInstance->!VehicleInstance.isSend())
                                .count()
                ).build();
    }
}
